Skip to content
Seal
Esc
↑↓navigate↵open⌘Jpreview

Get an import job

GET/imports/{id}
Authorization
AuthorizationBearer token · headerrequired

Pass your API key as a Bearer token. API keys are scoped to specific operations — configure scopes in your organization's Settings → Developer → API Keys.

Path parameters
idstringrequired
Responses
200

Import job

dataImportJobrequired
Show properties
idstringrequired
adapterstringrequired
Allowed:pdfdocusignpandadoc
statusstringrequired
payloadanyrequired
processed_countintegerrequired
total_countinteger | null
cursorstring | null
errorstring | null
approved_bystring | null
approved_atstring<date-time> | null
created_bystringrequired
created_atstring<date-time>required
updated_atstring<date-time>required
401

Missing or invalid API key

typestringrequired

Machine-readable error code

statusintegerrequired

HTTP status code

titlestringrequired

Human-readable error message

detailsobject

Field-level validation errors

404

Resource not found

typestringrequired

Machine-readable error code

statusintegerrequired

HTTP status code

titlestringrequired

Human-readable error message

detailsobject

Field-level validation errors

Try it
Server
Authorization
Parameters
Request
curl -X GET "https://api.seal.nyc/api/v1/imports/string" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "data": {
    "id": "string",
    "adapter": "pdf",
    "status": "string",
    "payload": null,
    "processed_count": 0,
    "total_count": 0,
    "cursor": "string",
    "error": "string",
    "approved_by": "string",
    "approved_at": "2019-08-24T14:15:22Z",
    "created_by": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}